Subject: Support Question

From: [email-masked] (Bill Gatliff)
Date: Thu, 20 May 2010 12:18:06 -0500

On 05/19/2010 12:06 PM, Amit kumar wrote:
>
>
> Therefore I don;t have any idea from where the delay is being
> introduced. Is it a problem of OS or there is nythng else involved .
> Kindly guide me through this . I need urgent help .... any information
> abt delay is welcome.

The SPI drivers usually have a kernel thread to deal with transmissions 
and chip selects.  Make sure that kernel thread is on the RT scheduler, 
otherwise it gets prioritized along with user applications--- which 
would explain the delay you are seeing.

b.g.

-- 
Bill Gatliff
bgat at billgatliff.com